System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Configuration.IConfigurationSectionHandler System.Obsolete("This class is obsoleted")

The method is a section handler that participates in the resolution of configuration settings in the <system.diagnostics> Element portion of configuration files.

Handles the diagnostics section of configuration files.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  Paraphrasing the .NET SDK documentation: "This type is for internal use ONLY. Please Ignore it."

  We're Mono, so we can do better than that. This creates a new instance of the class.

  Initializes a new instance of the class.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` `` ``

  The method populates a with the values obtained from the <system.diagnostics> Element section of a configuration file and returns the hashtable.

  Parses the configuration settings for the <system.diagnostics> Element section of configuration files.

  A new configuration object, in the form of a .

  The object inherited from the parent path Reserved. Used in ASP.NET to convey the virtual path of the configuration being evaluated. The root XML node at the section to handle.